GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Namespaces | Defines | Typedefs | Functions | Variables
gdcmVR.h File Reference

Go to the source code of this file.

## Classes

struct | gdcm::UI
class | gdcm::VR
| VR class This is adapted from DICOM standard The biggest difference is the INVALID VR and the composite one that differ from standard (more like an addition) This allow us to represent all the possible case express in the DICOMV3 dict. More...

## Namespaces

namespace | gdcm

## Defines

#define | TYPETOENCODING(type, rep, rtype)
#define | VRTypeTemplateCase(type)

## Typedefs

typedef String<'\\', 16 > | gdcm::AEComp
typedef String<'\\', 64 > | gdcm::ASComp
typedef String<'\\', 16 > | gdcm::CSComp
typedef String<'\\', 64 > | gdcm::DAComp
typedef String<'\\', 64 > | gdcm::DTComp
typedef String<'\\', 64 > | gdcm::LOComp
typedef String<'\\', 64 > | gdcm::LTComp
typedef String<'\\', 64 > | gdcm::PNComp
typedef String<'\\', 64 > | gdcm::SHComp
typedef String<'\\', 64 > | gdcm::STComp
typedef String<'\\', 16 > | gdcm::TMComp
typedef String<'\\', 64, 0 > | gdcm::UIComp
typedef String<'\\', 64 > | gdcm::UTComp

## Functions

std::ostream & | gdcm::operator<< (std::ostream &_os, const VR &val)
std::ostream & | gdcm::operator<< (std::ostream &_os, const UI &_val)
| gdcm::TYPETOENCODING (SQ, VRBINARY, unsigned char) TYPETOENCODING(UN

## Variables

| gdcm::VRBINARY

## Define Documentation

#define TYPETOENCODING | ( |  | type,
|  |  | rep,
|  |  | rtype
| ) |  |

Value:

    template<> struct VRToEncoding<VR::type>    \
      { enum { Mode = VR::rep }; };                 \
      template<> struct VRToType<VR::type>        \
      { typedef rtype Type; };

#define VRTypeTemplateCase | ( |  | type | ) |

Value:

    case VR::type: \
        return sizeof ( VRToType<VR::type>::Type );

Referenced by gdcm::VR::GetSize().